#include "midiFile.h"

int main(int argc, char* argv[])
{
	CMidiFile* midiFile = new CMidiFile();
	midiFile->CreateFile("testMelodie.mid");
	midiFile->BeginTrack(); // Track mit Metaevents
	midiFile->SetTimeSignature(4, 4);
	midiFile->SetTempo(120);
	midiFile->EndTrack();
	midiFile->BeginTrack();	// Track mit Midievents
	midiFile->MidiEvent(0, 0x90, 60, 80); // C4
	midiFile->MidiEvent(96, 0x80, 60, 0);
	midiFile->MidiEvent(0, 0x90, 64, 80); // E4
	midiFile->MidiEvent(96, 0x80, 64, 0);
	midiFile->MidiEvent(0, 0x90, 67, 80); // G4
	midiFile->MidiEvent(96, 0x80, 67, 0);
	midiFile->MidiEvent(0, 0x90, 72, 80); // C5
	midiFile->MidiEvent(96, 0x80, 72, 0);
	midiFile->MidiEvent(0, 0x90, 76, 80); // E5
	midiFile->MidiEvent(192, 0x80, 76, 0);
	midiFile->MidiEvent(0, 0x90, 72, 80); // C5
	midiFile->MidiEvent(192, 0x80, 72, 0);
	midiFile->EndTrack();
	midiFile->CloseFile();
	return 0;
}

