#ifndef __MIDIFILE_H_
#define __MIDIFILE_H_
#include "windows.h"
#include "stdio.h"

class CMidiFile

{
public:	
	long CreateFile(char* pcFileName);
	long CloseFile();
	long BeginTrack();
	long EndTrack();
	long SetTimeSignature(BYTE bNumerator, BYTE bDenominator);
	long SetTempo(long lVal);
	long MidiEvent(DWORD dwDeltaTime, BYTE bStatus, BYTE bData1, BYTE bData2);
	long MetaEvent(BYTE bId, DWORD  dwLength, PBYTE pParams);
	short DeltaTimeToArray(DWORD dwDeltaTime, char* bTime);
	long ChangeByteOrder(long lVal);

	FILE*		m_pFile;
	long		m_lTrackBeginning;
};


#endif // __MIDIFILE_H_