package header;
/**
 * Formatdaten fr Wavedateien 
 * @author Michael Steppat
 *
 */

public class WaveFormatEx {
	/**
	 * Kennung des Formats (z.B. 1 fr PCM)
	 */
	public short wFormatTag; 		 
    /**
     * Anzahl der Kanle (1 = mono, 2 = stereo)
     */
	public short nChannels;	
	/**
	 * Abtastrate (z.B. 32000, 44100 oder 48000 Hz)
	 */
    public int nSamplesPerSec;		 
    /**
     * Anzahl der bertragenen Bytes pro Sekunde. Dividiert durch 8 erhlt man die Bitrate
     */
    public int nAvgBytesPerSec;		 
    /**
     * Anzahl der Bytes je Block. Fr 8-Bit Monodateien wird der Wert 1, fr 16-Bit Monodateien der Wert 2 angegeben, fr 16-Bit Stereodateien ist er 4. 
     */
    public short nBlockAlign;		 
    /**
     *  Anzahl der Bits je Sample (8 bei 8-Bit und 16 bei 16-Bit)
     */
    public short wBitsPerSample;	
    /**
     * Bytelnge von zustzlichen Formatangaben
     */
    public short cbSize;    		 
}
